Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.basex.query.xquery.expr
Class FTNot

    java.lang.Object
      org.basex.query.xquery.expr.Expr
          org.basex.query.xquery.expr.FTNot

    public final class FTNot

extends Expr

FTUnaryNot expression.

Author:
  Workgroup DBIS, University of Konstanz 2005-07, ISC License, Christian Gruen

Field Summary

Fields inherited from class org.basex.query.xquery.expr.Expr
`type`

Constructor Summary
`FTNot(Expr e)` Constructor.

Method Summary
`Expr` | `comp(XQContext ctx)` Optimizes and compiles the expression tree.
`Dbl` | `eval(XQContext ctx)` Evaluates the expression and returns the resulting item.
`java.lang.String` | `info()` Returns a string description of the expression.
`java.lang.String` | `toString()`

Methods inherited from class org.basex.query.xquery.expr.Expr
`cls, d, e, i, n, node, s, size, str, u`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FTNot

    public FTNot(Expr e)

  Constructor.

  Parameters:
    `e` - expression

Method Detail

### comp

    public Expr comp(XQContext ctx)
              throws XQException

  Description copied from class: `Expr`
  Optimizes and compiles the expression tree.

  Specified by:
    `comp` in class `Expr`
  Parameters:
    `ctx` - query context
  Returns:
    optimized Expression
  Throws:
    `XQException` - evaluation exception

### eval

    public Dbl eval(XQContext ctx)
             throws XQException

  Description copied from class: `Expr`
  Evaluates the expression and returns the resulting item.

  Specified by:
    `eval` in class `Expr`
  Parameters:
    `ctx` - query context
  Returns:
    resulting item
  Throws:
    `XQException` - evaluation exception

### info

    public java.lang.String info()

  Description copied from class: `Expr`
  Returns a string description of the expression. Contrary to the `Expr.toString()` method, the current expressions aren't included in the output.

  Specified by:
    `info` in class `Expr`
  Returns:
    result of check

### toString

    public java.lang.String toString()

  Specified by:
    `toString` in class `Expr`

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD